<?php

namespace App\ViewModels\LojaCompra\LojaCompraCartaoCreditoPagSeguro\LojaCompraRegistrationViewModel;

use App\Utils\Builder;

class LojaCompraProdutoRegistrationViewModelBuilder implements Builder {
	protected $id_loja_produto;
	protected $nomne;
	protected $quantidade;
	protected $valor_unidade;
	protected $valor;

	public function build(): LojaCompraProdutoRegistrationViewModel {

		$obj = new LojaCompraProdutoRegistrationViewModel();

		$obj->setIdLojaProduto( $this->id_loja_produto );
		$obj->setNome( $this->nome );
		$obj->setQuantidade( $this->quantidade );
		$obj->setValorUnidade( $this->valor_unidade );
		$obj->setValor( $this->valor );

		return $obj;

	}

	/**
	 *
	 * @param mixed $id_loja_produto
	 */
	public function setIdLojaProduto($id_loja_produto): LojaCompraProdutoRegistrationViewModelBuilder {

		$this->id_loja_produto = $id_loja_produto;
		return $this;

	}

	/**
	 *
	 * @param mixed $nome
	 */
	public function setNome($nome): LojaCompraProdutoRegistrationViewModelBuilder {

		$this->nome = $nome;
		return $this;

	}

	/**
	 *
	 * @param mixed $quantidade
	 */
	public function setQuantidade($quantidade): LojaCompraProdutoRegistrationViewModelBuilder {

		$this->quantidade = $quantidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor_unidade
	 */
	public function setValorUnidade($valor_unidade): LojaCompraProdutoRegistrationViewModelBuilder {

		$this->valor_unidade = $valor_unidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor): LojaCompraProdutoRegistrationViewModelBuilder {

		$this->valor = $valor;
		return $this;

	}

}

